> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin Call Logs

> Get paginated call logs for a tenant with optional filters



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/reporting/calls/logs
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/reporting/calls/logs:
    post:
      tags:
        - Reporting - Calls
      summary: Admin Call Logs
      description: Get paginated call logs for a tenant with optional filters
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                  description: Tenant ID
                startDate:
                  type: string
                  description: Start date for the report period
                endDate:
                  type: string
                  description: End date for the report period
                direction:
                  description: Call direction filter (IN or OUT)
                  anyOf:
                    - type: string
                      enum:
                        - IN
                    - type: string
                      enum:
                        - OUT
                tag:
                  description: Filter by call tags
                  minItems: 1
                  type: array
                  items:
                    type: string
                callOutcome:
                  description: Filter by call outcome IDs
                  minItems: 1
                  type: array
                  items:
                    type: number
                users:
                  description: Filter by user peer names, or 'ALL' for all users
                  anyOf:
                    - type: array
                      items:
                        type: string
                    - type: string
                      enum:
                        - ALL
                groups:
                  description: Filter by groups (queue, huntlist, or branch)
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        anyOf:
                          - type: string
                            enum:
                              - queue
                          - type: string
                            enum:
                              - huntlist
                          - type: string
                            enum:
                              - branch
                      id:
                        type: number
                        exclusiveMinimum: 0
                    required:
                      - type
                      - id
                reportType:
                  description: Report type (Scheduled, Export, or Live)
                  anyOf:
                    - type: string
                      enum:
                        - Scheduled
                    - type: string
                      enum:
                        - Export
                    - type: string
                      enum:
                        - Live
                recorded:
                  description: Filter by recorded calls only
                  type: boolean
                cidNum:
                  description: Filter by caller ID number
                  type: string
                query:
                  description: Search calls by caller/dialed number or name
                  type: string
                paginated:
                  default: 1
                  description: 1 = paginated response, 0 = full list
                  type: integer
                  minimum: 0
                  maximum: 1
                page:
                  description: Page number
                  type: number
                recordsPerPage:
                  description: Records per page
                  type: number
                sortBy:
                  description: Sort column
                  type: string
                  maxLength: 50
                sortDirection:
                  description: Sort direction
                  type: string
                  enum:
                    - asc
                    - desc
              required:
                - tenantId
                - startDate
                - endDate
              additionalProperties: false
      responses:
        '200':
          description: Paginated call logs or export acknowledgement
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            callId:
                              type: string
                              description: Unique call identifier
                            startTime:
                              type: string
                              description: Call start time
                            endTime:
                              type: string
                              description: Call end time
                            direction:
                              type: string
                              description: Call direction (IN/OUT)
                            cidNum:
                              type: string
                              description: Caller ID number
                            cidName:
                              type: string
                              description: Caller ID name
                            dialedNum:
                              type: string
                              description: Dialed number
                            dialedName:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Dialed name
                            disposition:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Call disposition
                            peerName:
                              description: User peer name
                              type: string
                            recorded:
                              description: Whether the call was recorded 1 = yes 2 = no
                              type: number
                            presented:
                              description: Whether the call was presented 1 = yes 2 = no
                              type: number
                            isTollFree:
                              description: Whether the call was toll-free, 1 = yes 2 = no
                              type: number
                            isInternational:
                              description: >-
                                Whether the call was international, 1 = yes 2 =
                                no
                              type: number
                            tag:
                              description: Call tags
                              anyOf:
                                - type: string
                                - type: 'null'
                            geolocation:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Call geolocation
                          required:
                            - callId
                            - startTime
                            - endTime
                            - direction
                            - cidNum
                            - cidName
                            - dialedNum
                            - dialedName
                            - disposition
                            - geolocation
                          additionalProperties: false
                      page:
                        type: number
                      maxPage:
                        type: number
                      totalRecords:
                        type: number
                    required:
                      - records
                      - page
                      - maxPage
                      - totalRecords
                    additionalProperties: false
                    description: Paginated call logs
                  - type: object
                    properties:
                      message:
                        type: string
                        description: Status message
                      code:
                        type: number
                        description: Status code
                    required:
                      - message
                      - code
                    additionalProperties: false
                    description: Export acknowledgement
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````